package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目投资对象 sur_project_invest
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public class SurProjectInvest extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long projectId;

    /** 投资时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投资时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date investTime;

    /** 投资金额 */
    @Excel(name = "投资金额")
    private String investAmount;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setInvestTime(Date investTime) 
    {
        this.investTime = investTime;
    }

    public Date getInvestTime() 
    {
        return investTime;
    }
    public void setInvestAmount(String investAmount) 
    {
        this.investAmount = investAmount;
    }

    public String getInvestAmount() 
    {
        return investAmount;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("investTime", getInvestTime())
            .append("investAmount", getInvestAmount())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
